Index: kernel/generic/src/ipc/sysipc.c
===================================================================
--- kernel/generic/src/ipc/sysipc.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ kernel/generic/src/ipc/sysipc.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -69,5 +69,5 @@
 	if (imethod <= IPC_M_LAST_SYSTEM)
 		return true;
-	
+
 	return false;
 }
@@ -207,5 +207,5 @@
 		mutex_unlock(&phone->lock);
 	}
-	
+
 	if (!olddata)
 		return rc;
@@ -242,5 +242,5 @@
 	    (call->flags & IPC_CALL_FORWARDED))
 		IPC_SET_RETVAL(call->data, EFORWARD);
-	
+
 	SYSIPC_OP(answer_process, call);
 }
@@ -276,9 +276,9 @@
 	if (!kobj->phone)
 		return ENOENT;
-	
+
 	call_t *call = ipc_call_alloc(0);
 	call->priv = priv;
 	memcpy(call->data.args, data->args, sizeof(data->args));
-	
+
 	errno_t rc = request_preprocess(call, kobj->phone);
 	if (!rc) {
@@ -322,9 +322,9 @@
 	} else
 		IPC_SET_RETVAL(call->data, rc);
-	
+
 	memcpy(data->args, call->data.args, sizeof(data->args));
 	kobject_put(call->kobject);
 	kobject_put(kobj);
-	
+
 	return EOK;
 }
@@ -342,5 +342,5 @@
 	if (atomic_get(&phone->active_calls) >= IPC_MAX_ASYNC_CALLS)
 		return -1;
-	
+
 	return 0;
 }
@@ -368,10 +368,10 @@
 	if (!kobj)
 		return ENOENT;
-	
+
 	if (check_call_limit(kobj->phone)) {
 		kobject_put(kobj);
 		return ELIMIT;
 	}
-	
+
 	call_t *call = ipc_call_alloc(0);
 	IPC_SET_IMETHOD(call->data, imethod);
@@ -379,5 +379,5 @@
 	IPC_SET_ARG2(call->data, arg2);
 	IPC_SET_ARG3(call->data, arg3);
-	
+
 	/*
 	 * To achieve deterministic behavior, zero out arguments that are beyond
@@ -388,12 +388,12 @@
 	/* Set the user-defined label */
 	call->data.label = label;
-	
+
 	errno_t res = request_preprocess(call, kobj->phone);
-	
+
 	if (!res)
 		ipc_call(kobj->phone, call);
 	else
 		ipc_backsend_err(kobj->phone, call, res);
-	
+
 	kobject_put(kobj);
 	return EOK;
@@ -432,12 +432,12 @@
 	/* Set the user-defined label */
 	call->data.label = label;
-	
+
 	errno_t res = request_preprocess(call, kobj->phone);
-	
+
 	if (!res)
 		ipc_call(kobj->phone, call);
 	else
 		ipc_backsend_err(kobj->phone, call, res);
-	
+
 	kobject_put(kobj);
 	return EOK;
@@ -473,5 +473,5 @@
 	if (!ckobj)
 		return ENOENT;
-	
+
 	call_t *call = ckobj->call;
 
@@ -480,5 +480,5 @@
 	if (need_old)
 		old = call->data;
-	
+
 	bool after_forward = false;
 	errno_t rc;
@@ -489,12 +489,12 @@
 		goto error;
 	}
-	
+
 	if (!method_is_forwardable(IPC_GET_IMETHOD(call->data))) {
 		rc = EPERM;
 		goto error;
 	}
-	
+
 	call->flags |= IPC_CALL_FORWARDED;
-	
+
 	/*
 	 * User space is not allowed to change interface and method of system
@@ -507,12 +507,12 @@
 			if (IPC_GET_IMETHOD(call->data) == IPC_M_CONNECT_TO_ME)
 				phone_dealloc(IPC_GET_ARG5(call->data));
-			
+
 			IPC_SET_ARG1(call->data, imethod);
 			IPC_SET_ARG2(call->data, arg1);
 			IPC_SET_ARG3(call->data, arg2);
-			
+
 			if (slow)
 				IPC_SET_ARG4(call->data, arg3);
-			
+
 			/*
 			 * For system methods we deliberately don't
@@ -530,5 +530,5 @@
 		}
 	}
-	
+
 	rc = ipc_forward(call, pkobj->phone, &TASK->answerbox, mode);
 	if (rc != EOK) {
@@ -609,5 +609,5 @@
 	if (rc != EOK)
 		return (sys_errno_t) rc;
-	
+
 	return sys_ipc_forward_common(chandle, phandle,
 	    IPC_GET_IMETHOD(newdata), IPC_GET_ARG1(newdata),
@@ -637,10 +637,10 @@
 	if (!kobj)
 		return ENOENT;
-	
+
 	call_t *call = kobj->call;
 
 	ipc_data_t saved_data;
 	bool saved;
-	
+
 	if (answer_need_old(call)) {
 		memcpy(&saved_data, &call->data, sizeof(call->data));
@@ -648,5 +648,5 @@
 	} else
 		saved = false;
-	
+
 	IPC_SET_RETVAL(call->data, retval);
 	IPC_SET_ARG1(call->data, arg1);
@@ -654,5 +654,5 @@
 	IPC_SET_ARG3(call->data, arg3);
 	IPC_SET_ARG4(call->data, arg4);
-	
+
 	/*
 	 * To achieve deterministic behavior, zero out arguments that are beyond
@@ -661,5 +661,5 @@
 	IPC_SET_ARG5(call->data, 0);
 	errno_t rc = answer_preprocess(call, saved ? &saved_data : NULL);
-	
+
 	ipc_answer(&TASK->answerbox, call);
 
@@ -683,10 +683,10 @@
 	if (!kobj)
 		return ENOENT;
-	
+
 	call_t *call = kobj->call;
 
 	ipc_data_t saved_data;
 	bool saved;
-	
+
 	if (answer_need_old(call)) {
 		memcpy(&saved_data, &call->data, sizeof(call->data));
@@ -694,5 +694,5 @@
 	} else
 		saved = false;
-	
+
 	errno_t rc = copy_from_uspace(&call->data.args, &data->args,
 	    sizeof(call->data.args));
@@ -704,7 +704,7 @@
 		return rc;
 	}
-	
+
 	rc = answer_preprocess(call, saved ? &saved_data : NULL);
-	
+
 	ipc_answer(&TASK->answerbox, call);
 
@@ -727,5 +727,5 @@
 	if (!kobj)
 		return ENOENT;
-	
+
 	errno_t rc = ipc_phone_hangup(kobj->phone);
 	kobject_put(kobj);
@@ -746,14 +746,14 @@
 {
 	call_t *call;
-	
+
 restart:
-	
+
 #ifdef CONFIG_UDEBUG
 	udebug_stoppable_begin();
 #endif
-	
+
 	call = ipc_wait_for_call(&TASK->answerbox, usec,
 	    flags | SYNCH_FLAGS_INTERRUPTIBLE);
-	
+
 #ifdef CONFIG_UDEBUG
 	udebug_stoppable_end();
@@ -766,21 +766,21 @@
 		return EOK;
 	}
-	
+
 	call->data.flags = call->flags;
 	if (call->flags & IPC_CALL_NOTIF) {
 		/* Set in_phone_hash to the interrupt counter */
 		call->data.phone = (void *) call->priv;
-		
+
 		call->data.cap_handle = CAP_NIL;
 
 		STRUCT_TO_USPACE(calldata, &call->data);
 		kobject_put(call->kobject);
-		
+
 		return EOK;
 	}
-	
+
 	if (call->flags & IPC_CALL_ANSWERED) {
 		process_answer(call);
-		
+
 		if (call->flags & IPC_CALL_DISCARD_ANSWER) {
 			kobject_put(call->kobject);
@@ -789,14 +789,14 @@
 
 		call->data.cap_handle = CAP_NIL;
-		
+
 		STRUCT_TO_USPACE(calldata, &call->data);
 		kobject_put(call->kobject);
-		
+
 		return EOK;
 	}
-	
+
 	if (process_request(&TASK->answerbox, call))
 		goto restart;
-	
+
 	cap_handle_t handle;
 	errno_t rc = cap_alloc(TASK, &handle);
@@ -804,5 +804,5 @@
 		goto error;
 	}
-	
+
 	call->data.cap_handle = handle;
 
@@ -871,5 +871,5 @@
 	if (!(perm_get(TASK) & PERM_IRQ_REG))
 		return EPERM;
-	
+
 	return ipc_irq_subscribe(&TASK->answerbox, inr, imethod, ucode, uspace_handle);
 }
@@ -887,7 +887,7 @@
 	if (!(perm_get(TASK) & PERM_IRQ_REG))
 		return EPERM;
-	
+
 	ipc_irq_unsubscribe(&TASK->answerbox, cap);
-	
+
 	return 0;
 }
@@ -903,10 +903,10 @@
 	task_id_t taskid;
 	cap_handle_t phone;
-	
+
 	errno_t rc = copy_from_uspace(&taskid, uspace_taskid, sizeof(task_id_t));
 	if (rc == EOK) {
 		rc = ipc_connect_kbox((task_id_t) taskid, &phone);
 	}
-	
+
 	if (rc == EOK) {
 		rc = copy_to_uspace(uspace_phone, &phone, sizeof(cap_handle_t));
@@ -916,5 +916,5 @@
 		}
 	}
-	
+
 	return (sys_errno_t) rc;
 #else
